.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the SpinBox.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_SpinBox:

SpinBox
=======

**Inherits:** :ref:`Range<class_range>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Numerical input text field.

Member Functions
----------------

+----------------------------------+---------------------------------------------------------------+
| :ref:`LineEdit<class_lineedit>`  | :ref:`get_line_edit<class_SpinBox_get_line_edit>` **(** **)** |
+----------------------------------+---------------------------------------------------------------+

Member Variables
----------------

  .. _class_SpinBox_editable:

- :ref:`bool<class_bool>` **editable**

  .. _class_SpinBox_prefix:

- :ref:`String<class_string>` **prefix**

  .. _class_SpinBox_suffix:

- :ref:`String<class_string>` **suffix**


Description
-----------

SpinBox is a numerical input text field. It allows entering integers and floats.

Member Function Description
---------------------------

.. _class_SpinBox_get_line_edit:

- :ref:`LineEdit<class_lineedit>` **get_line_edit** **(** **)**


